### Function

# Gimp vector_2d_to_3d_val

unstable since: 3.0

#### Declaration [src]

    GimpVector3
    gimp_vector_2d_to_3d_val (
      gint sx,
      gint sy,
      gint w,
      gint h,
      gint x,
      gint y,
      GimpVector3 vp,
      GimpVector3 p
    )

#### Description [src]

This function is identical to `gimp_vector_2d_to_3d()` but the position of the `observer` and the resulting point `p` are passed by value rather than by reference.

Available since: 3.0

#### Parameters

`sx`

  Type: `gint`

  The abscissa of the upper-left screen rectangle.

`sy`

  Type: `gint`

  The ordinate of the upper-left screen rectangle.

`w`

  Type: `gint`

  The width of the screen rectangle.

`h`

  Type: `gint`

  The height of the screen rectangle.

`x`

  Type: `gint`

  The abscissa of the point in the screen rectangle to map.

`y`

  Type: `gint`

  The ordinate of the point in the screen rectangle to map.

`vp`

  Type: `GimpVector3`

  Position of the observer.

`p`

  Type: `GimpVector3`

  The resulting point.

#### Return value

Type: `GimpVector3`

The computed `GimpVector3` point.